apiVersion: v1
kind: Pod
metadata:
  name: mariadb-restore
  namespace: nextcloud
spec:
  nodeName: knode0
  containers:
  - name: restore
    image: busybox
    command: ["sleep", "3600"]
    volumeMounts:
    - name: new
      mountPath: /new
    - name: oldbackup
      mountPath: /backup
  volumes:
  - name: new
    persistentVolumeClaim:
      claimName: nextcloud-mariadb-pvc-longhorn
  - name: oldbackup
    hostPath:
      path: /var/lib/nextcloud/mariadb-backup
      type: DirectoryOrCreate